lowercaseOutputName: true
lowercaseOutputLabelNames: true
rules:
  # MetricsSystem
  - pattern: 'Hadoop<service=(.*), name=MetricsSystem, sub=(.*)><>(.*): (\d+)'
    attrNameSnakeCase: true
    name: hadoop_yarn_$1_$3
    value: $4
    labels:
      service: YARN
      role: $1
      kind: 'MetricsSystem'
      sub: $2
    type: GAUGE
  # All YARN  infos
  - pattern: 'Hadoop<service=(.*), name=(.*)><>(.*): (\d+)'
    attrNameSnakeCase: true
    name: hadoop_yarn_$1_$3
    value: $4
    labels:
      service: YARN
      role: $1
      kind: $2
    type: GAUGE